com.google.cloud.dataflow.sdk.runners

## Class DataflowJobUpdatedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.cloud.dataflow.sdk.runners.DataflowJobException
        - - com.google.cloud.dataflow.sdk.runners.DataflowJobUpdatedException

All Implemented Interfaces:
  Serializable

    public class DataflowJobUpdatedException
    extends DataflowJobException

Signals that a job run by a `BlockingDataflowPipelineRunner` was updated during execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DataflowJobUpdatedException(DataflowPipelineJob job, String message, DataflowPipelineJob replacedByJob)` Create a new `DataflowJobUpdatedException` with the specified original `DataflowPipelineJob`, message, and replacement `DataflowPipelineJob`.
`DataflowJobUpdatedException(DataflowPipelineJob job, String message, DataflowPipelineJob replacedByJob, Throwable cause)` Create a new `DataflowJobUpdatedException` with the specified original `DataflowPipelineJob`, message, replacement `DataflowPipelineJob`, and cause.

### Method Summary

All Methods Instance Methods Concrete Methods
`DataflowPipelineJob` `getReplacedByJob()` The new job that replaces the job terminated with this exception.

### Methods inherited from class com.google.cloud.dataflow.sdk.runners.DataflowJobException

`getJob`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataflowJobUpdatedException

    public DataflowJobUpdatedException(DataflowPipelineJob job,
                                       String message,
                                       DataflowPipelineJob replacedByJob)

Create a new `DataflowJobUpdatedException` with the specified original `DataflowPipelineJob`, message, and replacement `DataflowPipelineJob`.

#### DataflowJobUpdatedException

    public DataflowJobUpdatedException(DataflowPipelineJob job,
                                       String message,
                                       DataflowPipelineJob replacedByJob,
                                       Throwable cause)

Create a new `DataflowJobUpdatedException` with the specified original `DataflowPipelineJob`, message, replacement `DataflowPipelineJob`, and cause.

### Method Detail

#### getReplacedByJob

    public DataflowPipelineJob getReplacedByJob()

The new job that replaces the job terminated with this exception.